import { ChangeDetectorRef, TemplateRef } from "@angular/core";
import { InlineTranslation } from "@smallstack/i18n-shared";
import { FrontendTypeRegistry } from "../../services/frontend-type.registry";
import * as i0 from "@angular/core";
export declare class TypeModelComponent {
    #private;
    private typeRegistry;
    private cdr;
    templateModel: TemplateRef<unknown>;
    set modelId(modelId: string);
    set typePath(typePath: string);
    displayShort: boolean;
    displayLong: boolean;
    protected model: any;
    protected short: string | InlineTranslation;
    protected long: string | InlineTranslation;
    constructor(typeRegistry: FrontendTypeRegistry, cdr: ChangeDetectorRef);
    private update;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeModelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeModelComponent, "smallstack-type-model", never, { "modelId": { "alias": "modelId"; "required": false; }; "typePath": { "alias": "typePath"; "required": false; }; "displayShort": { "alias": "displayShort"; "required": false; }; "displayLong": { "alias": "displayLong"; "required": false; }; }, {}, ["templateModel"], never, true, never>;
}
